---
title: "Release v0.9.8"
linkTitle: "Release v0.9.8"
date: 2021-03-25
description: >
  Release v0.9.8
---

## Changelog since v0.9.7

### Notable Changes
* Remove MongoDB from supported datastore list ([#1780](https://github.com/pipe-cd/pipecd/pull/1780))
* Enable to use MySQL datastore for quickstart ([#1742](https://github.com/pipe-cd/pipecd/pull/1742))
* Users can use Quick Sync Deployment for ECS ([#1725](https://github.com/pipe-cd/pipecd/pull/1725))
* Fix a bug that Sealed secret is not cleared when the dialog is closed ([#1753](https://github.com/pipe-cd/pipecd/pull/1753))
* Fix bug unable to create traffic alias in the first lambda app deployment ([#1751](https://github.com/pipe-cd/pipecd/pull/1751))
* Show application counts on the application list ([#1730](https://github.com/pipe-cd/pipecd/pull/1730))
* Redirect to applications page when logged in user visit login page ([#1684](https://github.com/pipe-cd/pipecd/pull/1684))
* Use search params as application filtering ([#1673](https://github.com/pipe-cd/pipecd/pull/1673))

### Internal Changes
* Update contributor list ([#1779](https://github.com/pipe-cd/pipecd/pull/1779))
* Add filter view tests ([#1778](https://github.com/pipe-cd/pipecd/pull/1778))
* Update docs for ControlPlane ([#1777](https://github.com/pipe-cd/pipecd/pull/1777))
* Fix not to use insecure flag in installation guide ([#1776](https://github.com/pipe-cd/pipecd/pull/1776))
* Update schema validation ([#1774](https://github.com/pipe-cd/pipecd/pull/1774))
* Log refinement ([#1773](https://github.com/pipe-cd/pipecd/pull/1773))
* Add ProjectId to Command model ([#1772](https://github.com/pipe-cd/pipecd/pull/1772))
* Update size of UUID type virtual columns ([#1770](https://github.com/pipe-cd/pipecd/pull/1770))
* Apply basic auth to Prometheus query ([#1769](https://github.com/pipe-cd/pipecd/pull/1769))
* Update feature status ([#1767](https://github.com/pipe-cd/pipecd/pull/1767))
* Refine Find query builder for IN operator queries ([#1766](https://github.com/pipe-cd/pipecd/pull/1766))
* Add application count component test ([#1763](https://github.com/pipe-cd/pipecd/pull/1763))
* Add more info to MySQL client find query logs ([#1764](https://github.com/pipe-cd/pipecd/pull/1764))
* Update GetInsightApplicationCount rpc to return mock data of Cloud Run ([#1762](https://github.com/pipe-cd/pipecd/pull/1762))
* Add flag to show application counts ([#1761](https://github.com/pipe-cd/pipecd/pull/1761))
* Update PromQL example in the doc to be more realistic ([#1760](https://github.com/pipe-cd/pipecd/pull/1760))
* Make sure step is smaller than query range ([#1749](https://github.com/pipe-cd/pipecd/pull/1749))
* Refine ListFilter value for MySQL datastore ([#1757](https://github.com/pipe-cd/pipecd/pull/1757))
* Add tests for application counts ([#1756](https://github.com/pipe-cd/pipecd/pull/1756))
* Update PromQL example to be realistic ([#1758](https://github.com/pipe-cd/pipecd/pull/1758))
* Add required indexes for MySQL datastore ([#1755](https://github.com/pipe-cd/pipecd/pull/1755))
* Update rules_nodes to v3 ([#1740](https://github.com/pipe-cd/pipecd/pull/1740))
* Remove unnecessary NOT NULL check for omitempty fields ([#1754](https://github.com/pipe-cd/pipecd/pull/1754))
* Remove web target from coverage job on CI ([#1750](https://github.com/pipe-cd/pipecd/pull/1750))
* Fix wrong error message and docs of the func ([#1659](https://github.com/pipe-cd/pipecd/pull/1659))
* Refine MySQL `find` query builder ([#1744](https://github.com/pipe-cd/pipecd/pull/1744))
* [MySQL schema] Rename SyncState to SyncState_Status ([#1746](https://github.com/pipe-cd/pipecd/pull/1746))
* Hide application counts on the application detail page ([#1738](https://github.com/pipe-cd/pipecd/pull/1738))
* Fix example query to be more realistic ([#1737](https://github.com/pipe-cd/pipecd/pull/1737))
* Ensure to show the query results reason ([#1726](https://github.com/pipe-cd/pipecd/pull/1726))
* Add required index for MySQL datastore ([#1731](https://github.com/pipe-cd/pipecd/pull/1731))
* Fix to allow Event.data less than 3 bytes ([#1733](https://github.com/pipe-cd/pipecd/pull/1733))
* Add application counts module ([#1729](https://github.com/pipe-cd/pipecd/pull/1729))
* Rename tables columns for MySQL schema ([#1728](https://github.com/pipe-cd/pipecd/pull/1728))
* Fix a wrong error message in lambda/rollback ([#1724](https://github.com/pipe-cd/pipecd/pull/1724))
* Add validation for ANALYSIS options ([#1722](https://github.com/pipe-cd/pipecd/pull/1722))
* [AWS Lambda] Fix bug unable to add multi newly defined tags ([#1723](https://github.com/pipe-cd/pipecd/pull/1723))
* Add application mocks ([#1721](https://github.com/pipe-cd/pipecd/pull/1721))
* Add web RPC to get application count ([#1718](https://github.com/pipe-cd/pipecd/pull/1718))
* Add docs for mysql ([#1719](https://github.com/pipe-cd/pipecd/pull/1719))
* Add change failure rate chart component ([#1716](https://github.com/pipe-cd/pipecd/pull/1716))
* Update docs for S3 ([#1717](https://github.com/pipe-cd/pipecd/pull/1717))
* Fix to fail when unable to spawn analyzer ([#1715](https://github.com/pipe-cd/pipecd/pull/1715))
* Refactor insight package ([#1713](https://github.com/pipe-cd/pipecd/pull/1713))
* Update ADA doc to show alpha release of Datadog provider ([#1703](https://github.com/pipe-cd/pipecd/pull/1703))
* Fix scaffdog component template ([#1712](https://github.com/pipe-cd/pipecd/pull/1712))
* Add test size small to ECS planner test ([#1714](https://github.com/pipe-cd/pipecd/pull/1714))
* Add a component to show application count ([#1711](https://github.com/pipe-cd/pipecd/pull/1711))
* Add piped validation for analysis providers ([#1709](https://github.com/pipe-cd/pipecd/pull/1709))
* Add mysql schema and indexes ensurer to ops ([#1699](https://github.com/pipe-cd/pipecd/pull/1699))
* Add a planner for ECS deployment ([#1698](https://github.com/pipe-cd/pipecd/pull/1698))
* Create Application Insight collector ([#1702](https://github.com/pipe-cd/pipecd/pull/1702))
* Call range queries API to evaluate values over a range of time ([#1694](https://github.com/pipe-cd/pipecd/pull/1694))
* Add image to clearify the event watcher's behavior ([#1704](https://github.com/pipe-cd/pipecd/pull/1704))
* Rename MySQL error code const ([#1701](https://github.com/pipe-cd/pipecd/pull/1701))
* Refactor settings table styling ([#1693](https://github.com/pipe-cd/pipecd/pull/1693))
* Add a config for ECS deployment ([#1692](https://github.com/pipe-cd/pipecd/pull/1692))
* Refactor insight collector ([#1691](https://github.com/pipe-cd/pipecd/pull/1691))
* Fix wrong comments in lambda config ([#1690](https://github.com/pipe-cd/pipecd/pull/1690))
* Add a missing bazel file for cloudprovider/ecs ([#1689](https://github.com/pipe-cd/pipecd/pull/1689))
* Add serviceAccountAnnotations to piped chart ([#1688](https://github.com/pipe-cd/pipecd/pull/1688))
* Add a cloud provider for ECS ([#1647](https://github.com/pipe-cd/pipecd/pull/1647))
* Eliminate the depencency on analysisprovider/metrics package ([#1685](https://github.com/pipe-cd/pipecd/pull/1685))
* Mysql datastore interface implementation: Find query ([#1678](https://github.com/pipe-cd/pipecd/pull/1678))
* Add analysis provider for Datadog ([#1666](https://github.com/pipe-cd/pipecd/pull/1666))
* Make AWS sdk credentials profile configurable ([#1677](https://github.com/pipe-cd/pipecd/pull/1677))
* Migrate AWS sdk to v2: Remove dynamodb from datastore package ([#1676](https://github.com/pipe-cd/pipecd/pull/1676))
* Migrate to AWS sdk v2: Lambda deployment ([#1675](https://github.com/pipe-cd/pipecd/pull/1675))
* Migrate to AWS sdk v2: S3 client ([#1671](https://github.com/pipe-cd/pipecd/pull/1671))
